View Issue Details

IDProjectCategoryView StatusLast Update
0003928GNUnetcadet servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToBart Polot 
PriorityhighSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003928: valgrind reports use of uninitizlied values
Description==3156== Conditional jump or move depends on uninitialised value(s)
==3156== at 0x40CF7B: GCT_handle_encrypted (gnunet-service-cadet_tunnel.c:3107)
==3156== by 0x418A3C: handle_cadet_encrypted (gnunet-service-cadet_connection.c:2479)
==3156== by 0x4190FE: GCC_handle_encrypted (gnunet-service-cadet_connection.c:2602)
==3156== by 0x54D5A0B: main_notify_handler (core_api.c:967)
==3156== by 0x5051C9A: receive_task (client.c:618)
==3156== by 0x5093AF2: run_ready (scheduler.c:587)
==3156== by 0x50943FD: GNUNET_SCHEDULER_run (scheduler.c:867)
==3156== by 0x50A2C11: GNUNET_SERVICE_run (service.c:1503)
==3156== by 0x433A88: main (gnunet-service-cadet.c:174)
==3156==
==3156== Conditional jump or move depends on uninitialised value(s)
==3156== at 0x40CA3A: handle_decrypted (gnunet-service-cadet_tunnel.c:3001)
==3156== by 0x40D02E: GCT_handle_encrypted (gnunet-service-cadet_tunnel.c:3112)
==3156== by 0x418A3C: handle_cadet_encrypted (gnunet-service-cadet_connection.c:2479)
==3156== by 0x4190FE: GCC_handle_encrypted (gnunet-service-cadet_connection.c:2602)
==3156== by 0x54D5A0B: main_notify_handler (core_api.c:967)
==3156== by 0x5051C9A: receive_task (client.c:618)
==3156== by 0x5093AF2: run_ready (scheduler.c:587)
==3156== by 0x50943FD: GNUNET_SCHEDULER_run (scheduler.c:867)
==3156== by 0x50A2C11: GNUNET_SERVICE_run (service.c:1503)
==3156== by 0x433A88: main (gnunet-service-cadet.c:174)

==3156== Use of uninitialised value of size 8
==3156== at 0x643D0FB: _itoa_word (_itoa.c:179)
==3156== by 0x64412A9: vfprintf (vfprintf.c:1641)
==3156== by 0x6469458: vsnprintf (vsnprintf.c:119)
==3156== by 0x50585F6: mylog (common_logging.c:882)
==3156== by 0x5058C95: GNUNET_log_from_nocheck (common_logging.c:1014)
==3156== by 0x40CC1B: handle_decrypted (gnunet-service-cadet_tunnel.c:3035)
==3156== by 0x40D02E: GCT_handle_encrypted (gnunet-service-cadet_tunnel.c:3112)
==3156== by 0x418A3C: handle_cadet_encrypted (gnunet-service-cadet_connection.c:2479)
==3156== by 0x4190FE: GCC_handle_encrypted (gnunet-service-cadet_connection.c:2602)
==3156== by 0x54D5A0B: main_notify_handler (core_api.c:967)
==3156== by 0x5051C9A: receive_task (client.c:618)
==3156== by 0x5093AF2: run_ready (scheduler.c:587)
==3156==
==3156== Conditional jump or move depends on uninitialised value(s)
==3156== at 0x643D105: _itoa_word (_itoa.c:179)
==3156== by 0x64412A9: vfprintf (vfprintf.c:1641)
==3156== by 0x6469458: vsnprintf (vsnprintf.c:119)
==3156== by 0x50585F6: mylog (common_logging.c:882)
==3156== by 0x5058C95: GNUNET_log_from_nocheck (common_logging.c:1014)
==3156== by 0x40CC1B: handle_decrypted (gnunet-service-cadet_tunnel.c:3035)
==3156== by 0x40D02E: GCT_handle_encrypted (gnunet-service-cadet_tunnel.c:3112)
==3156== by 0x418A3C: handle_cadet_encrypted (gnunet-service-cadet_connection.c:2479)
==3156== by 0x4190FE: GCC_handle_encrypted (gnunet-service-cadet_connection.c:2602)
==3156== by 0x54D5A0B: main_notify_handler (core_api.c:967)
==3156== by 0x5051C9A: receive_task (client.c:618)
==3156== by 0x5093AF2: run_ready (scheduler.c:587)
Steps To ReproduceJust running a cadet service under valgrind for a while.
TagsNo tags attached.

Activities

Bart Polot

2015-08-19 12:55

manager   ~0009576

Fixed at r36258-r36262

Issue History

Date Modified Username Field Change
2015-08-03 15:54 Christian Grothoff New Issue
2015-08-03 15:54 Christian Grothoff Status new => assigned
2015-08-03 15:54 Christian Grothoff Assigned To => Bart Polot
2015-08-19 12:55 Bart Polot Note Added: 0009576
2015-08-19 12:55 Bart Polot Status assigned => resolved
2015-08-19 12:55 Bart Polot Fixed in Version => 0.11.0pre66
2015-08-19 12:55 Bart Polot Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed